## cpu-x 4.0.0+git20200524

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0048 NEW)
if(POLICY CMP0075)
	cmake_policy(SET CMP0075 NEW)
endif()
project(cpu-x
	VERSION "4.0.0"
	LANGUAGES C
)


### DEFAULT CONFIG

# Global variables
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
include(GNUInstallDirs)
if(NOT EXISTS ${CMAKE_INSTALL_FULL_LIBEXECDIR})
	set(CMAKE_INSTALL_LIBEXECDIR      lib/${CMAKE_PROJECT_NAME})
	set(CMAKE_INSTALL_FULL_LIBEXECDIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR})
endif(NOT EXISTS ${CMAKE_INSTALL_FULL_LIBEXECDIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/output/bin/)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/output/lib/)
set(CMAKE_DATA_OUTPUT_DIRECTORY    ${CMAKE_BINARY_DIR}/output/data/)
set(CPU_X_DATA_DIRECTORY           ${CMAKE_INSTALL_FULL_DATADIR}/${CMAKE_PROJECT_NAME}/)
set(APP_EXEC                       ${CMAKE_PROJECT_NAME})
set(DAEMON_EXEC                    ${CMAKE_PROJECT_NAME}-daemon)
set(DAEMON_PATH                    ${CMAKE_INSTALL_FULL_LIBEXECDIR}/${DAEMON_EXEC})
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
	set(BITNESS "32")
else(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
	set(BITNESS "64")
endif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
set(CMAKE_C_FLAGS             "${CMAKE_C_FLAGS} -Wno-deprecated-declarations -Wno-unused-result")
set(CMAKE_C_FLAGS_DEBUG       "${CMAKE_C_FLAGS_DEBUG} -Wall -Wextra -Wuninitialized -Wstrict-prototypes -Wformat -Wformat-security")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
set(CMAKE_EXE_LINKER_FLAGS    "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")

include(CheckCCompilerFlag)
check_c_compiler_flag("-no-pie" HAS_NO_PIE)
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND HAS_NO_PIE)
	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -no-pie")
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND HAS_NO_PIE)

# Options
option(WITH_GTK           "Build support for GUI in GTK3+"                                    ON)
option(WITH_NCURSES       "Build support for TUI in NCurses"                                  ON)
option(WITH_GETTEXT       "Build support for internationalization"                            ON)
option(WITH_LIBCPUID      "Use Libcpuid library"                                              ON)
option(WITH_LIBPCI        "Use Libpci library"                                                ON)
option(WITH_LIBPROCPS     "Use Libprocps library"                                             ON)
option(WITH_LIBSTATGRAB   "Use Libstatgrab library"                                           ON)
option(WITH_DMIDECODE     "Built-in Dmidecode"                                                ON)
option(WITH_BANDWIDTH     "Built-in Bandwidth"                                                ON)
option(FORCE_LIBSTATGRAB  "Force use of Libstatgrab instead of Libprocps (GNU/Linux system)"  OFF)

# Colours
string(ASCII 27 Esc)
set(ColourReset "${Esc}[m")
set(ColourBold  "${Esc}[1m")
set(Red         "${Esc}[31m")
set(Green       "${Esc}[32m")
set(Yellow      "${Esc}[33m")
set(Blue        "${Esc}[34m")
set(Magenta     "${Esc}[35m")
set(Cyan        "${Esc}[36m")
set(White       "${Esc}[37m")
set(BoldRed     "${Esc}[1;31m")
set(BoldGreen   "${Esc}[1;32m")
set(BoldYellow  "${Esc}[1;33m")
set(BoldBlue    "${Esc}[1;34m")
set(BoldMagenta "${Esc}[1;35m")
set(BoldCyan    "${Esc}[1;36m")
set(BoldWhite   "${Esc}[1;37m")


### MACROS

# Macro: print_config(libname foundstate withstate)
# Print the state of CPU-X features: in bold green if enabled, else bold red.
# @libname:    library name (e.g. GTK)
# @libver:     library version (e.g. XXXXX_VERSION)
# @foundstate: the result of pkg_check_modules(...) (e.g. XXXXX_FOUND)
# @withstate:  the CMake option which allows to disable this feature (e.g. WITH_XXXXX)
macro(print_config libname libver foundstate withstate)
	if(${foundstate} AND ${withstate})
		message("${BoldCyan}**   ${libname}${ColourReset}\tsupport is ${BoldGreen}enabled${ColourReset}")
		add_definitions(-DHAS_${libname}=1 -D${libname}_VERSION="${libver}")
	else(${foundstate} AND ${withstate})
		if(NOT ${withstate})
			message("${BoldCyan}**   ${libname}${ColourReset}\tsupport is ${BoldRed}disabled${ColourReset} (explicitly disabled)")
		elseif(NOT ${foundstate})
			message("${BoldCyan}**   ${libname}${ColourReset}\tsupport is ${BoldRed}disabled${ColourReset} (not found by pkg-config)")
		endif()
		add_definitions(-DHAS_${libname}=0 -D${libname}_VERSION=NULL)
	endif(${foundstate} AND ${withstate})
endmacro(print_config)


### HELPERS / SUBDIRECTORIES

enable_testing()
find_package(PkgConfig REQUIRED)
find_package(Threads REQUIRED)
find_package(Backtrace REQUIRED)
if(WITH_GETTEXT)
	find_package(Gettext)
	if(${CMAKE_VERSION} VERSION_GREATER "3.1")
		find_package(Intl)
	endif(${CMAKE_VERSION} VERSION_GREATER "3.1")
endif(WITH_GETTEXT)
include(CheckSymbolExists)
include(CheckStructHasMember)
include(CheckIncludeFile)
add_subdirectory(data)
add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(tests)


### UNINSTALL TARGET

configure_file("${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY
)

add_custom_target(uninstall
	COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== src/CMakeLists.txt ===
### FIND NEEDED LIBRAIRIES

# GTK3+
if(WITH_GTK)
	set(MINIMUM_GTK_VERSION 3.12.0)
	pkg_check_modules(GTK3 gtk+-3.0>=${MINIMUM_GTK_VERSION})
	if(GTK3_FOUND)
		include_directories(${GTK3_INCLUDE_DIRS})
		link_directories(${GTK3_LIBRARY_DIRS})
		add_definitions(${GTK3_CFLAGS_OTHER})
		add_library(gui_gtk STATIC
			gui_gtk.c
			gui_gtk.h
			gui_gtk_id.h
			${GRESOURCES}
		)
		set(GTK3_LIBRARIES "gui_gtk" ${GTK3_LIBRARIES})
	else(GTK3_FOUND)
		message("${BoldYellow}GTK3+ GUI will not be build:${ColourReset} ${Yellow}GTK ${MINIMUM_GTK_VERSION} or higher is needed.${ColourReset}")
		message("${Yellow}Set ${BoldYellow}PKG_CONFIG_PATH${ColourReset}${Yellow} environment variable if development files are installed.${ColourReset}")
	endif(GTK3_FOUND)
endif(WITH_GTK)

# NCurses
if(WITH_NCURSES)
	pkg_check_modules(NCURSES ncursesw)
	if(NCURSES_FOUND)
		include_directories(${NCURSES_INCLUDE_DIRS})
		link_directories(${NCURSES_LIBRARY_DIRS})
		add_library(tui_ncurses STATIC
			tui_ncurses.c
			tui_ncurses.h
		)
		set(NCURSES_LIBRARIES "tui_ncurses" ${NCURSES_LIBRARIES})
	endif(NCURSES_FOUND)
endif(WITH_NCURSES)

# Gettext
if(Intl_FOUND)
	include_directories(${CMAKE_BINARY_DIR}/po)
endif(Intl_FOUND)

# Libcpuid
if(WITH_LIBCPUID)
	pkg_check_modules(LIBCPUID libcpuid>=0.4.0)
	if(LIBCPUID_FOUND)
		include_directories(${LIBCPUID_INCLUDE_DIRS})
		link_directories(${LIBCPUID_LIBRARY_DIRS})
		add_definitions(${LIBCPUID_CFLAGS_OTHER})
		set(CMAKE_REQUIRED_LIBRARIES ${LIBCPUID_LIBRARIES})
		check_symbol_exists(msr_serialize_raw_data "libcpuid/libcpuid.h" HAVE_MSR_SERIALIZE_RAW_DATA)
		if(HAVE_MSR_SERIALIZE_RAW_DATA)
			add_definitions(-DHAVE_MSR_SERIALIZE_RAW_DATA)
		endif(HAVE_MSR_SERIALIZE_RAW_DATA)
		check_struct_has_member("struct cpu_id_t" l1_instruction_assoc libcpuid/libcpuid.h HAVE_CPU_ID_L1I_INFO LANGUAGE C)
		if(HAVE_CPU_ID_L1I_INFO)
			add_definitions(-DHAVE_CPU_ID_L1I_INFO)
		endif(HAVE_CPU_ID_L1I_INFO)
		if(LIBCPUID_VERSION VERSION_EQUAL "0.4.0")
			add_definitions(-DHAVE_STDINT_H)
		endif(LIBCPUID_VERSION VERSION_EQUAL "0.4.0")
	endif(LIBCPUID_FOUND)
endif(WITH_LIBCPUID)

# Libpci
if(WITH_LIBPCI)
	pkg_check_modules(LIBPCI libpci)
	if(LIBPCI_FOUND)
		include_directories(${LIBPCI_INCLUDE_DIRS})
		link_directories(${LIBPCI_LIBRARY_DIRS})
		add_definitions(${LIBPCI_CFLAGS_OTHER})
	endif(LIBPCI_FOUND)
endif(WITH_LIBPCI)

# Libprocps
set(LIBSYSTEM 0)
if(WITH_LIBPROCPS AND ${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
	pkg_check_modules(LIBPROCPS libprocps)
	if(LIBPROCPS_FOUND)
		include_directories(${LIBPROCPS_INCLUDE_DIRS})
		link_directories(${LIBPROCPS_LIBRARY_DIRS})
		add_definitions(${LIBPROCPS_CFLAGS_OTHER})
		set(LIBSYSTEM 1)
	endif(LIBPROCPS_FOUND)
endif(WITH_LIBPROCPS AND ${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)

# Libstatgrab
if(WITH_LIBSTATGRAB AND (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR FORCE_LIBSTATGRAB))
	pkg_check_modules(LIBSTATGRAB libstatgrab)
	if(LIBSTATGRAB_FOUND)
		include_directories(${LIBSTATGRAB_INCLUDE_DIRS})
		link_directories(${LIBSTATGRAB_LIBRARY_DIRS})
		add_definitions(${LIBSTATGRAB_CFLAGS_OTHER})
		set(LIBSYSTEM 2)
	endif(LIBSTATGRAB_FOUND)
endif(WITH_LIBSTATGRAB AND (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR FORCE_LIBSTATGRAB))

# Dmidecode
if(WITH_DMIDECODE)
	add_subdirectory(dmidecode)
	include_directories(dmidecode)
	set(DMIDECODE_LIBRARIES "dmidecode")
endif(WITH_DMIDECODE)

# Bandwidth
if(WITH_BANDWIDTH)
	add_subdirectory(bandwidth)
	if(BANDWIDTH_FOUND)
		include_directories(bandwidth)
		set(BANDWIDTH_LIBRARIES "bandwidth")
	endif(BANDWIDTH_FOUND)
endif(WITH_BANDWIDTH)


### FINAL CONFIG

message("${BoldCyan}** ${CMAKE_PROJECT_NAME} ${PROJECT_VERSION} configuration **${ColourReset}")

# UI libraries
print_config("GTK"                 "${GTK3_VERSION}"        GTK3_FOUND        WITH_GTK)
print_config("NCURSES"             "${NCURSES_VERSION}"     NCURSES_FOUND     WITH_NCURSES)

# Other libraries
print_config("GETTEXT"             0                        GETTEXT_FOUND     WITH_GETTEXT)
print_config("LIBCPUID"            "${LIBCPUID_VERSION}"    LIBCPUID_FOUND    WITH_LIBCPUID)
print_config("LIBPCI"              "${LIBPCI_VERSION}"      LIBPCI_FOUND      WITH_LIBPCI)
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
	print_config("LIBPROCPS"   "${LIBPROCPS_VERSION}"   LIBPROCPS_FOUND   WITH_LIBPROCPS)
else()
	print_config("LIBSTATGRAB" "${LIBSTATGRAB_VERSION}" LIBSTATGRAB_FOUND WITH_LIBSTATGRAB)
endif()

# Subprojects
print_config("DMIDECODE"           "${DMIDECODE_VERSION}"   1                 WITH_DMIDECODE)
print_config("BANDWIDTH"           "${BANDWIDTH_VERSION}"   BANDWIDTH_FOUND   WITH_BANDWIDTH)


### MAIN BINARY

# Executable
add_executable(${APP_EXEC}
	main.c
	util.c
	cpu-x.h
	core.c
	core.h
	ipc.h
)

add_executable(${DAEMON_EXEC}
	daemon.c
	daemon.h
	ipc.h
	cpu-x.h
)

# Libsystem extra-definitions
if(${LIBSYSTEM} EQUAL 0 OR ${LIBSYSTEM} EQUAL 1)
	add_definitions(-DHAS_LIBSTATGRAB=0 -DLIBSTATGRAB_VERSION=NULL)
endif()
if(${LIBSYSTEM} EQUAL 0 OR ${LIBSYSTEM} EQUAL 2)
	add_definitions(-DHAS_LIBPROCPS=0   -DLIBPROCPS_VERSION=NULL)
endif()

# Various definitions
add_definitions(-DPRGVER="${PROJECT_VERSION}"
	-DSYSTEM_NAME="${CMAKE_SYSTEM_NAME}"
	-DSYSTEM_PROCESSOR="${CMAKE_SYSTEM_PROCESSOR}"
	-DC_COMPILER_ID="${CMAKE_C_COMPILER_ID}"
	-DHAS_LIBSYSTEM=${LIBSYSTEM}
	-DGETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}"
	-DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	-DTERMINFODIR="/lib/terminfo"
	-DDAEMON_PATH="${DAEMON_PATH}"
)

# Link libraries
target_link_libraries(${APP_EXEC}
	m
	${Intl_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT}
	${Backtrace_LIBRARIES}

	${GTK3_LIBRARIES}
	${NCURSES_LIBRARIES}
	${LIBCPUID_LIBRARIES}
	${LIBPCI_LIBRARIES}
	${LIBPROCPS_LIBRARIES}
	${LIBSTATGRAB_LIBRARIES}
	${DMIDECODE_LIBRARIES}
	${BANDWIDTH_LIBRARIES}
	${OTHER_LIBRARIES}
)

target_link_libraries(${DAEMON_EXEC}
	${Intl_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT}

	${LIBCPUID_LIBRARIES}
	${DMIDECODE_LIBRARIES}
)


### INSTALLATION
install(TARGETS ${APP_EXEC}    DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}/)
install(TARGETS ${DAEMON_EXEC} DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}/)

=== debian/changelog ===
cpu-x (4.0.0+git20200524-1~mx19+2) mx; urgency=medium

  * control: updated libcpuid to 15-dev
  * Rebuild against libcpuid15_0.5.0-1~mx19+1 to identify newer CPUs
  * Built with sbuild for now as pbuilder was failing with i386 builds

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Wed, 03 Jun 2020 15:07:01 -0400

cpu-x (4.0.0+git20200524-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Tue, 26 May 2020 11:36:01 -0400

=== debian/control ===
Source: cpu-x
Section: utilities
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Xorg <xorg@no-mail.com>
Build-Depends: debhelper (>= 4.1.16),
               cmake,
               gcc,
               pkg-config,
               nasm,
               gettext,
               libgtk-3-dev,
               libncursesw5-dev | libncursesw6-dev,
               libncurses-dev,
               libcurl4-openssl-dev,
               libjson-c-dev,
               libstatgrab-dev,
               libcpuid15-dev,
               libpci-dev,
               libprocps-dev,
               procps
Standards-Version: 4.3.0
Homepage: https://github.com/X0rg/CPU-X

Package: cpu-x
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
Description: Tool that gathers information on CPU, motherboard and more
 CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical
 mode by using GTK or in text-based mode by using NCurses. A dump mode is
 present from the command line.

## cpu-x 4.0.0+git20200605

=== CMakeLists.txt ===
--- 
+++ 
@@ -98,6 +98,22 @@
 
 ### HELPERS / SUBDIRECTORIES
 
+set(GIT_REVISION "")
+if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
+	find_package(Git)
+	if(GIT_FOUND)
+		execute_process(COMMAND sh -c "${GIT_EXECUTABLE} describe --long --tags --exclude continuous --abbrev=40 --dirty | cut --delimiter=- --fields=2-"
+			RESULT_VARIABLE GIT_DESCRIBE_RESULT
+			OUTPUT_VARIABLE GIT_DESCRIBE_REVISION
+			ERROR_QUIET
+			OUTPUT_STRIP_TRAILING_WHITESPACE
+		)
+		if(${GIT_DESCRIBE_RESULT} EQUAL 0)
+			set(GIT_REVISION "+git-r${GIT_DESCRIBE_REVISION}")
+		endif(${GIT_DESCRIBE_RESULT} EQUAL 0)
+	endif(GIT_FOUND)
+endif(EXISTS ${CMAKE_SOURCE_DIR}/.git)
+
 enable_testing()
 find_package(PkgConfig REQUIRED)
 find_package(Threads REQUIRED)

=== debian/changelog ===
cpu-x (4.0.0+git20200605-1~mx19+1) mx; urgency=medium

  * Repackage to include latest upstream bug fix commits.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Fri, 05 Jun 2020 16:21:08 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Xorg <xorg@no-mail.com>
-Build-Depends: debhelper (>= 4.1.16),
+Build-Depends: debhelper (>= 9),
                cmake,
                gcc,
                pkg-config,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_OPTIONS=nocheck

#Packagname
plib_bin=cpu-x

# main packaging script based on dh7 syntax
%:
	dh $@  --parallel

# debmake generated override targets
override_dh_strip:
	dh_strip --no-automatic-dbgsym

# This is example for Cmake (See http://bugs.debian.org/641051 )
override_dh_auto_configure:
	cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBEXECDIR=/usr/bin .

## cpu-x 4.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.0.0"
+	VERSION "4.0.1"
 	LANGUAGES C
 )

=== po/CMakeLists.txt ===
project(po
	LANGUAGES NONE
)


### INTERNATIONALIZATION TARGETS

# PO files
set(pot_file ${CMAKE_PROJECT_NAME}.pot)
file(GLOB
	po_files
	*.po
)

if(GETTEXT_FOUND)
	set(GETTEXT_FOUND ON PARENT_SCOPE)
	include(gettext_create_translations)
	add_custom_target(genpot
		COMMAND xgettext
			--language=C
			--keyword=_ --keyword=N_ --indent
			--add-comments=TRANSLATORS:
			--package-name=${CMAKE_PROJECT_NAME}
			--package-version=${PROJECT_VERSION}
			--default-domain=${CMAKE_PROJECT_NAME}
			--msgid-bugs-address=https://github.com/X0rg/CPU-X/issues
			--copyright-holder=Xorg
			--output-dir=${CMAKE_CURRENT_SOURCE_DIR}
			--output=${pot_file}
			--directory="../src"
			--from-code="utf-8"
			"*.c" "cpu-x.h"
		COMMAND sed --in-place "s/SOME DESCRIPTIVE TITLE./CPU-X translations template/" "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2020/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src
	)
	GETTEXT_CONVERT_TRANSLATIONS(${pot_file} ALL ${po_files})
else(GETTEXT_FOUND)
	set(GETTEXT_FOUND OFF PARENT_SCOPE)
endif(GETTEXT_FOUND)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -164,6 +164,7 @@
 
 # Various definitions
 add_definitions(-DPRGVER="${PROJECT_VERSION}"
+	-DGITREV="${GIT_REVISION}"
 	-DSYSTEM_NAME="${CMAKE_SYSTEM_NAME}"
 	-DSYSTEM_PROCESSOR="${CMAKE_SYSTEM_PROCESSOR}"
 	-DC_COMPILER_ID="${CMAKE_C_COMPILER_ID}"

=== src/dmidecode/CMakeLists.txt ===
project(dmidecode
	VERSION "3.2.20200417"
	LANGUAGES C
)

# Config (dmidecode)
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wno-shift-count-overflow")
message(STATUS "Using built-in ${PROJECT_NAME}, version ${PROJECT_VERSION}")

# Build (dmidecode)
add_definitions(-DVERSION="${PROJECT_VERSION}")
add_library(dmidecode
	STATIC
	types.h
	util.c
	util.h
	dmiopt.h
	dmioem.c
	dmioem.h
	dmidecode.c
	dmidecode.h
	dmioutput.c
	dmioutput.h
)

target_link_libraries(dmidecode)
set(DMIDECODE_VERSION ${PROJECT_VERSION} PARENT_SCOPE)

=== debian/changelog ===
cpu-x (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_build-with-PIE.patch. Upstream disables -PIE builds, in Debian
      we don't want that.
  * debian/rules:
    + Newline at EOF.
  * debian/control:
    + [ Make B-D on libcpuid versioned (>= 0.4.0). ]
    + Enforce building against libcpuid 0.5.0 (to avoid
      re-upload after libcpuid 0.5.0 has landed in Debian).
    + Add B-D gawk (for unit tests).
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * man pages:
    + Drop cpu-x_polkit.1 man page. Obsolete.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jul 2020 00:05:43 +0200

=== debian/control ===
Source: cpu-x
Section: x11
Priority: optional
Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3),
               gawk,
               gettext,
               libcpuid-dev (>= 0.5.0) [amd64 i386],
               libgtk-3-dev (>= 3.12),
               libcurl4-gnutls-dev,
               libjson-c-dev,
               libncurses-dev,
               libpci-dev,
               libprocps-dev,
               libstatgrab-dev,
               nasm,
               pkg-config,
               procps,
Standards-Version: 4.5.0
Homepage: https://github.com/X0rg/CPU-X
Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
Vcs-Browser: https://salsa.debian.org/debian/cpu-x
Rules-Requires-Root: no

Package: cpu-x
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
Description: Tool that gathers information on CPU, motherboard and more
 CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical
 mode by using GTK or in text-based mode by using NCurses. A dump mode is
 present from the command line.

## cpu-x 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.0.1"
+	VERSION "4.1.0"
 	LANGUAGES C
 )
 
@@ -25,11 +25,11 @@
 set(APP_EXEC                       ${CMAKE_PROJECT_NAME})
 set(DAEMON_EXEC                    ${CMAKE_PROJECT_NAME}-daemon)
 set(DAEMON_PATH                    ${CMAKE_INSTALL_FULL_LIBEXECDIR}/${DAEMON_EXEC})
-if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
+if(CMAKE_SIZEOF_VOID_P EQUAL 4)
 	set(BITNESS "32")
-else(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
+else(CMAKE_SIZEOF_VOID_P EQUAL 4)
 	set(BITNESS "64")
-endif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
+endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
 set(CMAKE_C_FLAGS             "${CMAKE_C_FLAGS} -Wno-deprecated-declarations -Wno-unused-result")
 set(CMAKE_C_FLAGS_DEBUG       "${CMAKE_C_FLAGS_DEBUG} -Wall -Wextra -Wuninitialized -Wstrict-prototypes -Wformat -Wformat-security")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
@@ -52,6 +52,7 @@
 option(WITH_DMIDECODE     "Built-in Dmidecode"                                                ON)
 option(WITH_BANDWIDTH     "Built-in Bandwidth"                                                ON)
 option(FORCE_LIBSTATGRAB  "Force use of Libstatgrab instead of Libprocps (GNU/Linux system)"  OFF)
+option(APPIMAGE           "Enable workarounds for AppImage"                                   OFF)
 
 # Colours
 string(ASCII 27 Esc)
@@ -103,14 +104,14 @@
 	find_package(Git)
 	if(GIT_FOUND)
 		execute_process(COMMAND sh -c "${GIT_EXECUTABLE} describe --long --tags --exclude continuous --abbrev=40 --dirty | cut --delimiter=- --fields=2-"
-			RESULT_VARIABLE GIT_DESCRIBE_RESULT
+			WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
 			OUTPUT_VARIABLE GIT_DESCRIBE_REVISION
 			ERROR_QUIET
 			OUTPUT_STRIP_TRAILING_WHITESPACE
 		)
-		if(${GIT_DESCRIBE_RESULT} EQUAL 0)
+		if(NOT ${GIT_DESCRIBE_REVISION} STREQUAL "")
 			set(GIT_REVISION "+git-r${GIT_DESCRIBE_REVISION}")
-		endif(${GIT_DESCRIBE_RESULT} EQUAL 0)
+		endif(NOT ${GIT_DESCRIBE_REVISION} STREQUAL "")
 	endif(GIT_FOUND)
 endif(EXISTS ${CMAKE_SOURCE_DIR}/.git)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -172,8 +172,14 @@
 	-DGETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}"
 	-DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
 	-DTERMINFODIR="/lib/terminfo"
+	-DDAEMON_EXEC="${DAEMON_EXEC}"
 	-DDAEMON_PATH="${DAEMON_PATH}"
 )
+
+if(APPIMAGE)
+	set(DAEMON_FLAGS "-static")
+	set(LIBCPUID_LIBRARIES "-l:libcpuid.a")
+endif(APPIMAGE)
 
 # Link libraries
 target_link_libraries(${APP_EXEC}
@@ -194,6 +200,7 @@
 )
 
 target_link_libraries(${DAEMON_EXEC}
+	${DAEMON_FLAGS}
 	${Intl_LIBRARIES}
 	${CMAKE_THREAD_LIBS_INIT}

=== data/icons/CMakeLists.txt ===
project(icons
	LANGUAGES NONE
)


# Icons
file(GLOB
	icons
	CPU-X_*x*.png
)

foreach(icon ${icons})
	get_filename_component(filename ${icon} NAME_WE)
	string(REGEX REPLACE "CPU-X_" "" size "${filename}")
	install(FILES
		${icon}
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/${size}/apps/
		RENAME cpu-x.png
	)
endforeach()

install(FILES
	CPU-X_original.png
	DESTINATION ${CPU_X_DATA_DIRECTORY}/
	RENAME CPU-X.png
)

=== src/dmidecode/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 project(dmidecode
-	VERSION "3.2.20200417"
+	VERSION "3.3.20201210"
 	LANGUAGES C
 )
 
 # Config (dmidecode)
+set(CMAKE_C_FLAGS       "${CMAKE_C_FLAGS} -Wno-format")
 set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wno-shift-count-overflow")
 message(STATUS "Using built-in ${PROJECT_NAME}, version ${PROJECT_VERSION}")

=== debian/changelog ===
cpu-x (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2002_avoid-format-security-compiler-flag.patch. Assure
      -Wno-format-security where -Wno-format is explicitly requested
      by upstream.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 17:17:04 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                nasm,
                pkg-config,
                procps,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/X0rg/CPU-X
 Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
 Vcs-Browser: https://salsa.debian.org/debian/cpu-x

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/cpu-x-$1.tar.gz/ \
https://github.com/X0rg/CPU-X/tags .*/archive/v?([\d\.]+).tar.gz

## cpu-x 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.1.0"
+	VERSION "4.2.0"
 	LANGUAGES C
 )
 
@@ -47,6 +47,7 @@
 option(WITH_GETTEXT       "Build support for internationalization"                            ON)
 option(WITH_LIBCPUID      "Use Libcpuid library"                                              ON)
 option(WITH_LIBPCI        "Use Libpci library"                                                ON)
+option(WITH_LIBGLFW       "Use Libglfw library"                                               ON)
 option(WITH_LIBPROCPS     "Use Libprocps library"                                             ON)
 option(WITH_LIBSTATGRAB   "Use Libstatgrab library"                                           ON)
 option(WITH_DMIDECODE     "Built-in Dmidecode"                                                ON)

=== data/CMakeLists.txt ===
project(data
	LANGUAGES NONE
)


add_subdirectory(completions)

# Files needed by GTK GUI
if(WITH_GTK)
	include(GSettings)

	# Set config
	file(MAKE_DIRECTORY ${CMAKE_DATA_OUTPUT_DIRECTORY})
	configure_file(cpu-x.desktop.in ${CMAKE_DATA_OUTPUT_DIRECTORY}/cpu-x.desktop)
	configure_file(org.cpu-x-daemon.policy.in ${CMAKE_DATA_OUTPUT_DIRECTORY}/org.cpu-x-daemon.policy)

	# Install UIs
	install(FILES
		cpu-x-gtk-3.12.ui
		cpu-x-gtk-3.12.css
		cpu-x-gtk-3.12-dark.css
		cpu-x-gtk-3.20.css
		cpu-x-gtk-3.20-dark.css
		DESTINATION ${CPU_X_DATA_DIRECTORY}/
	)

	# AppData metainfo file
	install(FILES
		org.cpu-x.appdata.xml
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/metainfo/
	)

	# Install launcher
	install(FILES
		${CMAKE_DATA_OUTPUT_DIRECTORY}/cpu-x.desktop
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/applications/
	)

	# Install policy rule
	install(FILES
		${CMAKE_DATA_OUTPUT_DIRECTORY}/org.cpu-x-daemon.policy
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions/
	)

	# Install schema file
	add_schema("org.cpu-x.gschema.xml")

	add_subdirectory(icons)
	add_subdirectory(logos)
endif(WITH_GTK)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 			--from-code="utf-8"
 			"*.c" "cpu-x.h"
 		COMMAND sed --in-place "s/SOME DESCRIPTIVE TITLE./CPU-X translations template/" "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
-		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2020/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
+		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2021/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
 		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src
 	)
 	GETTEXT_CONVERT_TRANSLATIONS(${pot_file} ALL ${po_files})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,23 +42,12 @@
 
 # Libcpuid
 if(WITH_LIBCPUID)
-	pkg_check_modules(LIBCPUID libcpuid>=0.4.0)
+	pkg_check_modules(LIBCPUID libcpuid>=0.5.0)
 	if(LIBCPUID_FOUND)
 		include_directories(${LIBCPUID_INCLUDE_DIRS})
 		link_directories(${LIBCPUID_LIBRARY_DIRS})
 		add_definitions(${LIBCPUID_CFLAGS_OTHER})
 		set(CMAKE_REQUIRED_LIBRARIES ${LIBCPUID_LIBRARIES})
-		check_symbol_exists(msr_serialize_raw_data "libcpuid/libcpuid.h" HAVE_MSR_SERIALIZE_RAW_DATA)
-		if(HAVE_MSR_SERIALIZE_RAW_DATA)
-			add_definitions(-DHAVE_MSR_SERIALIZE_RAW_DATA)
-		endif(HAVE_MSR_SERIALIZE_RAW_DATA)
-		check_struct_has_member("struct cpu_id_t" l1_instruction_assoc libcpuid/libcpuid.h HAVE_CPU_ID_L1I_INFO LANGUAGE C)
-		if(HAVE_CPU_ID_L1I_INFO)
-			add_definitions(-DHAVE_CPU_ID_L1I_INFO)
-		endif(HAVE_CPU_ID_L1I_INFO)
-		if(LIBCPUID_VERSION VERSION_EQUAL "0.4.0")
-			add_definitions(-DHAVE_STDINT_H)
-		endif(LIBCPUID_VERSION VERSION_EQUAL "0.4.0")
 	endif(LIBCPUID_FOUND)
 endif(WITH_LIBCPUID)
 
@@ -71,6 +60,17 @@
 		add_definitions(${LIBPCI_CFLAGS_OTHER})
 	endif(LIBPCI_FOUND)
 endif(WITH_LIBPCI)
+
+# Libglfw
+if(WITH_LIBGLFW)
+	pkg_check_modules(LIBGL gl)
+	pkg_check_modules(LIBGLFW glfw3>=3.3)
+	if(LIBGL_FOUND AND LIBGLFW_FOUND)
+		include_directories(${LIBGL_INCLUDE_DIRS} ${LIBGLFW_INCLUDE_DIRS})
+		link_directories(${LIBGL_LIBRARY_DIRS} ${LIBGLFW_LIBRARY_DIRS})
+		add_definitions(${LIBGL_CFLAGS_OTHER} ${LIBGLFW_CFLAGS_OTHER})
+	endif(LIBGL_FOUND AND LIBGLFW_FOUND)
+endif(WITH_LIBGLFW)
 
 # Libprocps
 set(LIBSYSTEM 0)
@@ -124,6 +124,7 @@
 print_config("GETTEXT"             0                        GETTEXT_FOUND     WITH_GETTEXT)
 print_config("LIBCPUID"            "${LIBCPUID_VERSION}"    LIBCPUID_FOUND    WITH_LIBCPUID)
 print_config("LIBPCI"              "${LIBPCI_VERSION}"      LIBPCI_FOUND      WITH_LIBPCI)
+print_config("LIBGLFW"             "${LIBGLFW_VERSION}"     LIBGLFW_FOUND     WITH_LIBGLFW)
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
 	print_config("LIBPROCPS"   "${LIBPROCPS_VERSION}"   LIBPROCPS_FOUND   WITH_LIBPROCPS)
 else()
@@ -192,6 +193,8 @@
 	${NCURSES_LIBRARIES}
 	${LIBCPUID_LIBRARIES}
 	${LIBPCI_LIBRARIES}
+	${LIBGL_LIBRARIES}
+	${LIBGLFW_LIBRARIES}
 	${LIBPROCPS_LIBRARIES}
 	${LIBSTATGRAB_LIBRARIES}
 	${DMIDECODE_LIBRARIES}

=== data/logos/CMakeLists.txt ===
project(logos
	LANGUAGES NONE
)


# Logos
install(FILES
	AMD.png
	Centaur.png
	Cyrix.png
	Intel.png
	NexGen.png
	NSC.png
	Rise.png
	SiS.png
	Transmeta.png
	UMC.png
	Unknown.png
	DESTINATION ${CPU_X_DATA_DIRECTORY}/
)

=== src/bandwidth/CMakeLists.txt ===
project(bandwidth
	VERSION "1.5.1"
	LANGUAGES C
)

# Config (bandwidth)
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wno-strict-prototypes -Wno-sign-compare")

find_program(NASM_FOUND nasm)
if(NASM_FOUND)
	enable_language(ASM_NASM)
endif(NASM_FOUND)
if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
	set(NASM_FLAGS_DEBUG "-gdwarf")
endif(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")

# Build (bandwidth)
if(CMAKE_ASM_NASM_INFOMATION_LOADED)
	set(BANDWIDTH_FOUND ON PARENT_SCOPE)
	message(STATUS "Using built-in ${PROJECT_NAME}, version ${PROJECT_VERSION}")


	if(BITNESS EQUAL 32)
		set(ROUTINES "routines-x86-32bit")
		add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${ROUTINES}.o
			COMMAND ${CMAKE_ASM_NASM_COMPILER} ${NASM_FLAGS_DEBUG} -f elf ${ROUTINES}.asm -o ${CMAKE_CURRENT_BINARY_DIR}/${ROUTINES}.o
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		)
	elseif(BITNESS EQUAL 64)
		set(ROUTINES "routines-x86-64bit")
		add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${ROUTINES}.o
			COMMAND ${CMAKE_ASM_NASM_COMPILER} ${NASM_FLAGS_DEBUG} -f elf64 ${ROUTINES}.asm -o ${CMAKE_CURRENT_BINARY_DIR}/${ROUTINES}.o
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		)
	endif()

	if(LIBCPUID_FOUND AND WITH_LIBCPUID)
		add_definitions(-DHAS_LIBCPUID=1)
	else(LIBCPUID_FOUND AND WITH_LIBCPUID)
		add_definitions(-DHAS_LIBCPUID=0)
	endif(LIBCPUID_FOUND AND WITH_LIBCPUID)

	add_library(bandwidth
		STATIC
		BMP.c
		BMPGraphing.c
		font.c
		main.c
		minifont.c
		libbandwidth.h
		${ROUTINES}.o
	)

	target_link_libraries(bandwidth)
	set(BANDWIDTH_VERSION ${PROJECT_VERSION} PARENT_SCOPE)

else(CMAKE_ASM_NASM_INFOMATION_LOADED)
	set(BANDWIDTH_FOUND OFF PARENT_SCOPE)
endif(CMAKE_ASM_NASM_INFOMATION_LOADED)

=== src/dmidecode/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 )
 
 # Config (dmidecode)
-set(CMAKE_C_FLAGS       "${CMAKE_C_FLAGS} -Wno-format")
+set(CMAKE_C_FLAGS       "${CMAKE_C_FLAGS}")
 set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wno-shift-count-overflow")
 message(STATUS "Using built-in ${PROJECT_NAME}, version ${PROJECT_VERSION}")

=== debian/changelog ===
cpu-x (4.2.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Add B-D libglfw3-dev
  * debian/patches:
    + Refactor 2002_avoid-format-security-compiler-flag.patch

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 22:03:07 +0100

cpu-x (4.1.0-2) unstable; urgency=medium

  * debian/watch: Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:23:59 +0200

=== debian/rules ===
#!/usr/bin/make -f

NULL=

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## cpu-x 4.2.0+1.15

=== debian/changelog ===
cpu-x (4.2.0+1.15-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <maintainer@mepiscommunity.org>  Tue, 11 May 2021 12:02:19 -0400

cpu-x (4.2.0-1+1.15~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 May 2021 11:58:30 -0400

cpu-x (4.2.0-1+1.15) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 10 May 2021 11:19:23 +0000

cpu-x (4.2.0-0) stable; urgency=medium

  * Initial release.

 -- Xorg <xorg@no-mail.com>  Sun, 13 Sep 2015 15:01:43 +0000

=== debian/control ===
Source: cpu-x
Section: Utilities
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Xorg <xorg@no-mail.com>
Build-Depends: debhelper (>= 4.1.16), cmake, gcc, nasm, gettext, libgtk-3-dev, libncursesw5-dev | libncursesw6-dev, libcpuid-dev, libpci-dev, libprocps-dev, libglfw3-dev

Package: cpu-x
Architecture: i386 amd64
Depends: libgtk-3-0, libncursesw5 | libncurses6, libcpuid15, libprocps4 | libprocps6 | libprocps7 | libprocps8, libpci3, libglfw3
Description: CPU-X is a Free software that gathers information on CPU, motherboard and more.
  CPU-X is a system profiling and monitoring application designed for GNU/Linux and FreeBSD.
  This software is written in C and built with CMake tool.
  It can be used in graphical mode by using GTK or in text-based mode by using NCurses. A dump mode is present from command line.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wno-format-security
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_OPTIONS=nocheck

#Packagname
plib_bin=cpu-x

# main packaging script based on dh7 syntax
%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --no-automatic-dbgsym

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
override_dh_auto_configure:
	cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr .

## cpu-x 4.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.2.0"
+	VERSION "4.3.0"
 	LANGUAGES C
 )
 
@@ -48,6 +48,7 @@
 option(WITH_LIBCPUID      "Use Libcpuid library"                                              ON)
 option(WITH_LIBPCI        "Use Libpci library"                                                ON)
 option(WITH_LIBGLFW       "Use Libglfw library"                                               ON)
+option(WITH_OPENCL        "Use OpenCL library"                                                ON)
 option(WITH_LIBPROCPS     "Use Libprocps library"                                             ON)
 option(WITH_LIBSTATGRAB   "Use Libstatgrab library"                                           ON)
 option(WITH_DMIDECODE     "Built-in Dmidecode"                                                ON)

=== debian/changelog ===
cpu-x (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Mar 2022 16:58:14 +0100

=== debian/control ===
Source: cpu-x
Section: x11
Priority: optional
Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3),
               gawk,
               gettext,
               libcpuid-dev (>= 0.5.0) [amd64 i386],
               libgtk-3-dev (>= 3.12),
               libcurl4-gnutls-dev,
               libglfw3-dev,
               libjson-c-dev,
               libncurses-dev,
               libpci-dev,
               libprocps-dev,
               libstatgrab-dev,
               nasm,
               pkg-config,
               procps,
Standards-Version: 4.6.0
Homepage: https://github.com/X0rg/CPU-X
Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
Vcs-Browser: https://salsa.debian.org/debian/cpu-x
Rules-Requires-Root: no

Package: cpu-x
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
Description: Tool that gathers information on CPU, motherboard and more
 CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical
 mode by using GTK or in text-based mode by using NCurses. A dump mode is
 present from the command line.

## cpu-x 4.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.3.0"
+	VERSION "4.3.1"
 	LANGUAGES C
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,16 @@
 	endif(LIBGL_FOUND AND LIBGLFW_FOUND)
 endif(WITH_LIBGLFW)
 
+# OpenCL
+if(WITH_OPENCL)
+	pkg_check_modules(OPENCL OpenCL)
+	if(OPENCL_FOUND)
+		include_directories(${LIBOPENCL_INCLUDE_DIRS} ${OpenCL_INCLUDE_DIRS})
+		link_directories(${LIBOPENCL_LIBRARY_DIRS} ${OpenCL_LIBRARY_DIRS})
+		add_definitions(${LIBOPENCL_CFLAGS_OTHER} ${OpenCL_CFLAGS_OTHER})
+	endif(OPENCL_FOUND)
+endif(WITH_OPENCL)
+
 # Libprocps
 set(LIBSYSTEM 0)
 if(WITH_LIBPROCPS AND ${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
@@ -125,6 +135,7 @@
 print_config("LIBCPUID"            "${LIBCPUID_VERSION}"    LIBCPUID_FOUND    WITH_LIBCPUID)
 print_config("LIBPCI"              "${LIBPCI_VERSION}"      LIBPCI_FOUND      WITH_LIBPCI)
 print_config("LIBGLFW"             "${LIBGLFW_VERSION}"     LIBGLFW_FOUND     WITH_LIBGLFW)
+print_config("OpenCL"              "${OPENCL_VERSION}"      OPENCL_FOUND      WITH_OPENCL)
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
 	print_config("LIBPROCPS"   "${LIBPROCPS_VERSION}"   LIBPROCPS_FOUND   WITH_LIBPROCPS)
 else()
@@ -195,6 +206,7 @@
 	${LIBPCI_LIBRARIES}
 	${LIBGL_LIBRARIES}
 	${LIBGLFW_LIBRARIES}
+	${OPENCL_LIBRARIES}
 	${LIBPROCPS_LIBRARIES}
 	${LIBSTATGRAB_LIBRARIES}
 	${DMIDECODE_LIBRARIES}

=== src/dmidecode/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(dmidecode
-	VERSION "3.3.20201210"
+	VERSION "3.3.20211021"
 	LANGUAGES C
 )
 
@@ -16,6 +16,7 @@
 	util.c
 	util.h
 	dmiopt.h
+	dmiopt.c
 	dmioem.c
 	dmioem.h
 	dmidecode.c

=== debian/changelog ===
cpu-x (4.3.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Jul 2022 13:27:43 -0700

cpu-x (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Jun 2022 15:44:06 +0200

=== debian/control ===
Source: cpu-x
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake (>= 3),
               debhelper-compat (= 13),
               gawk,
               gettext,
               libcpuid-dev (>= 0.5.0) [amd64 i386],
               libcurl4-gnutls-dev,
               libglfw3-dev,
               libgtk-3-dev (>= 3.12),
               libjson-c-dev,
               libncurses-dev,
               libpci-dev,
               libprocps-dev,
               libstatgrab-dev,
               nasm,
               pkg-config,
               procps
Standards-Version: 4.6.1
Homepage: https://github.com/X0rg/CPU-X
Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
Vcs-Browser: https://salsa.debian.org/debian/cpu-x
Rules-Requires-Root: no

Package: cpu-x
Architecture: amd64 i386
Depends: procps, ${misc:Depends}, ${shlibs:Depends}
Description: Tool that gathers information on CPU, motherboard and more
 CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical
 mode by using GTK or in text-based mode by using NCurses. A dump mode is
 present from the command line.

=== debian/rules ===
#!/usr/bin/make -f

NULL=

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## cpu-x 4.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.3.1"
+	VERSION "4.5.0"
 	LANGUAGES C
 )
 
@@ -48,6 +48,7 @@
 option(WITH_LIBCPUID      "Use Libcpuid library"                                              ON)
 option(WITH_LIBPCI        "Use Libpci library"                                                ON)
 option(WITH_LIBGLFW       "Use Libglfw library"                                               ON)
+option(WITH_VULKAN        "Use Vulkan library"                                                ON)
 option(WITH_OPENCL        "Use OpenCL library"                                                ON)
 option(WITH_LIBPROCPS     "Use Libprocps library"                                             ON)
 option(WITH_LIBSTATGRAB   "Use Libstatgrab library"                                           ON)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,28 @@
 			--default-domain=${CMAKE_PROJECT_NAME}
 			--msgid-bugs-address=https://github.com/X0rg/CPU-X/issues
 			--copyright-holder=Xorg
-			--output-dir=${CMAKE_CURRENT_SOURCE_DIR}
-			--output=${pot_file}
+			--output-dir=${CMAKE_CURRENT_BINARY_DIR}
+			--output=source_c.pot
 			--directory="../src"
 			--from-code="utf-8"
 			"*.c" "cpu-x.h"
+		COMMAND xgettext
+			--language=Glade
+			--keyword=translatable --indent
+			--add-comments
+			--package-name=${CMAKE_PROJECT_NAME}
+			--package-version=${PROJECT_VERSION}
+			--default-domain=${CMAKE_PROJECT_NAME}
+			--msgid-bugs-address=https://github.com/X0rg/CPU-X/issues
+			--copyright-holder=Xorg
+			--output-dir=${CMAKE_CURRENT_BINARY_DIR}
+			--output=source_ui.pot
+			--directory="../data"
+			--from-code="utf-8"
+			"cpu-x-gtk-3.12.ui"
+		COMMAND	msgcat --indent --directory=${CMAKE_CURRENT_BINARY_DIR} source_c.pot source_ui.pot --output-file="${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
 		COMMAND sed --in-place "s/SOME DESCRIPTIVE TITLE./CPU-X translations template/" "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
-		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2021/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
+		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2022/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
 		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src
 	)
 	GETTEXT_CONVERT_TRANSLATIONS(${pot_file} ALL ${po_files})

=== src/dmidecode/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(dmidecode
-	VERSION "3.3.20211021"
+	VERSION "3.4.20220922"
 	LANGUAGES C
 )
